#ifndef __GDAM_POLL_H_
#define __GDAM_POLL_H_

#include <glib.h>

#if HAVE_SYS_POLL_H
#include <sys/poll.h>
/* This is weak, but this is what glib does, and allows us to handle gdam_poll()
 * cleanly. */
#define gdam_poll(fds, nfds, timeout) poll ((struct pollfd *) fds, nfds, timeout)
#else
gint 
gdam_poll (GPollFD *fds,
	   guint    nfds,
	   gint     timeout);
#endif /* !HAVE_SYS_POLL_H */

#endif
